package	jp.co.sds_corp.transfer;

import java.util.Map;
import java.util.Vector;

import jp.co.sds_corp.util.config.IConfiguration;
import jp.co.sds_corp.util.daemon.AbstractService;
import jp.co.sds_corp.util.daemon.IService;
import jp.co.sds_corp.util.log.CmnLogFactory;
import jp.co.sds_corp.util.log.CmnLogger;

/**
*/
public class CheckerService extends AbstractService
{
	static final CmnLogger logger = CmnLogFactory.getLogger();
	Vector<IService>	vecSvc = new Vector<IService>();

	/**
	* 指定された初期情報で初期化します。
	* @param	config	初期情報
	*/
	public void init( IConfiguration config ) throws Exception {
		bOrg = isValid();
	}

	/**
	* このサービスを開始します。
	*/
	public void start() {
	}

	/**
	* このサービスを停止します。
	*/
	public void stop() {
	}

	public void addService( Map<String,? extends IService> map ) {
		vecSvc.addAll( map.values() );
	}

	boolean bOrg = true;

	/**
	* サービスの実行可能状態を設定します。
	* @param    var     サービスが実行可能な場合はtrue、そうでない場合はfalse
	*/
	public synchronized void setValid( boolean var ) {
		if ( bOrg == var ) {
			return;
		}
		bOrg = var;
		logger.info( this, "change valid status to " + var + "." );
		super.setValid( var );
		for ( int i = 0; i < vecSvc.size(); i++ ) {
			IService svc = (IService )vecSvc.get( i );
			svc.setValid( var );
		}
	}

}
