package	jp.co.sds_corp.transfer;


/**
* データを受信するオブジェクトのためのインターフェースです。
*/
public interface IReceiver
{
	/**
	* データ受信イベントを受け取るオブジェクトを追加します。
	* @param	l		データ受信イベントを受け取るオブジェクト
	*/
	public void addReceiveListener( IReceiveListener l );

	/**
	* データ受信イベントを受け取るオブジェクトを削除します。
	* @param	l		データ受信イベントを受け取るオブジェクト
	*/
	public void removeReceiveListener( IReceiveListener l );

	/**
	* データ受信イベントを通知します。
	* @param	e		データ受信イベント
	*/
	public void fireReceive( ReceiveEvent e ) throws Exception;

	/**
	* 状態変更イベントを通知します。
	* @param	e		状態変更イベント
	*/
	public void fireStatusChange( StatusChangeEvent e ) throws Exception;
}
